## org.eclipse.datatools.sqltools.data.internal.core.load
Class TableLoader

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.load.TableLoader

    public class TableLoader

extends java.lang.Object

Constructor Summary
`TableLoader(Table table)`

Method Summary
`void` `close()`
`void` `emptyTable()`
`int` `getDeletedRows()`
`java.util.HashSet` `getErrorColumns()`
`java.lang.String` `getFailedRowError()`
`int` `getFailedRows()`
`int` `getInsertedRows()`
`void` `loadRow(java.lang.String[] row)`
`void` `open()`
`void` `setVal(java.lang.Object val, java.sql.PreparedStatement pst, int column)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableLoader

    public TableLoader(Table table)

Method Detail

### open

    public void open()
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### emptyTable

    public void emptyTable()
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### loadRow

    public void loadRow(java.lang.String[] row)
                 throws java.sql.SQLException,
                        DataFormatException,
                        java.io.IOException

  Throws:
    `java.sql.SQLException`
    `DataFormatException`
    `java.io.IOException`

### setVal

    public void setVal(java.lang.Object val,
                       java.sql.PreparedStatement pst,
                       int column)
                throws java.sql.SQLException,
                       java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### getDeletedRows

    public int getDeletedRows()

### getFailedRows

    public int getFailedRows()

### getInsertedRows

    public int getInsertedRows()

### getErrorColumns

    public java.util.HashSet getErrorColumns()

### getFailedRowError

    public java.lang.String getFailedRowError()